package tech.starwin.utils.tracker;

/**
 * Created by SiKang on 2019/6/18.
 */
public class TrackUtils {

    public static TrackEvent.Event findEventByTag(String viewTag) {
        switch (viewTag) {
            case "PRODUCT_ITEM":
                return TrackEvent.Click.PRODUCT_ITEM;
            case "SMS_LOGIN":
                return TrackEvent.Click.SMS_LOGIN;
            case "LOAN_APPLY":
                return TrackEvent.Click.LOAN_APPLY;
            case "SUBMIT_BANK_INFO":
                return TrackEvent.Click.SUBMIT_BANK_INFO;
            case "KTP_SHOT":
                return TrackEvent.Click.KTP_SHOT;
            case "SUBMIT_KTP_INFO":
                return TrackEvent.Click.SUBMIT_KTP_INFO;
            case "SUBMIT_PERSONAL_INFO":
                return TrackEvent.Click.SUBMIT_PERSONAL_INFO;
            case "SUBMIT_CONTACT_INFO":
                return TrackEvent.Click.SUBMIT_CONTACT_INFO;
            case "WORK_CARD_SHOT":
                return TrackEvent.Click.WORK_CARD_SHOT;
            case "SUBMIT_WORK_INFO":
                return TrackEvent.Click.SUBMIT_WORK_INFO;
            case "LOAN_HISTORY_ITEM":
                return TrackEvent.Click.LOAN_HISTORY_ITEM;
            case "CANCEL_LOAN":
                return TrackEvent.Click.CANCEL_LOAN;
            case "PRIVACY_AGREEMENT":
                return TrackEvent.Click.PRIVACY_AGREEMENT;
        }
        return null;
    }
}
